Bug 1247819 - There are 2 different types of explanation about converging XOR gateway
There are 2 different types of explanation about converging XOR gateway
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: CR2
: ---
Assigned To: brms-docs@redhat.com
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 21:34 EDT by Hisao Furuichi
Modified: 2015-12-21 11:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisao Furuichi 2015-07-28 21:34:48 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html/Development_Guide/sect-Gateways.html

Section Number and Name:
11.6. GATEWAYS

Describe the issue:
It looks like there are 2 different types of explanation about converging XOR gateway in our official document:

[explanation 1]11.6. GATEWAYS
"Exclusive (XOR): in a converging gateway, only the first incoming Flow whose condition evaluates to true is chosen."

[explanation 2] 11.6.1.4. Data-based Exclusive Gateway
"if it is triggered from more than one incoming connection, it triggers the next node for each trigger."

I tested with my local environment, and the behavior is [explanation 2]. Also there is a community doc[1] which looks like only talking about [explanation 2].

[1]
http://docs.jboss.org/jbpm/v6.2/userguide/jBPMBPMN2.html#d0e3681

Suggestions for improvement: 
Please fix [explanation 1] to the proper description.
Comment 2 Vidya 2015-08-19 06:37:10 EDT
changes made to the development guide "Gateways" section.
A link to the latest version of the guide will be provided for verification when the document is built next.
Comment 4 Jozef Marko 2015-09-09 05:01:32 EDT
Verified, there is right explanation both in 11.6 and 11.6.1.4 section.

Note You need to log in before you can comment on or make changes to this bug.